commit:     48ef1715d2e5463a4093364726ea4041ade7eb68
Author:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Thu Apr  7 07:16:26 2016 +0000
Commit:     Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Thu Apr  7 23:07:41 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=48ef1715

dev-perl/Math-Pari: Copied from dev-perl/math-pari for migration

Package-Manager: portage-2.2.28

 dev-perl/Math-Pari/Manifest                        |  3 +
 dev-perl/Math-Pari/Math-Pari-2.10.806.50-r1.ebuild | 62 +++++++++++++++++++++
 dev-perl/Math-Pari/Math-Pari-2.10.808.ebuild       | 64 ++++++++++++++++++++++
 dev-perl/Math-Pari/metadata.xml                    | 14 +++++
 4 files changed, 143 insertions(+)

diff --git a/dev-perl/Math-Pari/Manifest b/dev-perl/Math-Pari/Manifest
new file mode 100644
index 0000000..a9ad7a1
--- /dev/null
+++ b/dev-perl/Math-Pari/Manifest
@@ -0,0 +1,3 @@
+DIST Math-Pari-2.01080605.tar.gz 122627 SHA256 
eed553dc838973566c23b77cc30c9130802ba502e6a33969e25183bc5831ca46 SHA512 
a92ff01afce8d52c5d7c4fec1a5759b5d7b786c8f359348ac8f4e7fc95be9338b990879d4d89598dc5333f79c53a92e54f6756d0e6c9a0e9e72a4dfd15b0b263
 WHIRLPOOL 
7e8ecc1329750019a65819af07fe3170af511a90fcae17464163bac4654d475048ad423b1f37f06d4e11e5ff1a7b803c9fe4e298ba1b39a46700efb3609385d6
+DIST Math-Pari-2.010808.zip 153838 SHA256 
543633b2984a71e8adee2a6130f740cc1e22aefb95ca3e886338aee9e1ae3c06 SHA512 
006e77328f0d8e61b89addbb6b8b8a8adb8c8c1591a1d3cdf80f5183a5fb30bb19219cbfc2624d15ffcdb6b0dc5cff4d69e6e27eb7cb6c29796bbab36ecfda88
 WHIRLPOOL 
ad325762b7568548f72ffe30c20544254f3eceed8ca61e6a1938d89612798ac7a9231bc507a458760a55ba96684421530d5e2922479cc1b33359757cd8ada998
+DIST pari-2.3.5.tar.gz 2018097 SHA256 
47ddae1af73b4476660d2a89338483949067a97ffb8758c82e8189dfa4c89d88 SHA512 
0e49e6310b4c76ef3370786a13aa8cbc5bb0b7dc84ec1665866d623e6284f45db8584eea759e8b5954dc9b5c8a3e866e77a377d18073ed33f11708a7e88a4cca
 WHIRLPOOL 
1d7f3fcfb5c4b44479ea7494536bcb7c971df721a23bca9f7bdee878cc91c5beec5353920d352142534e89bb0158bfd8ad9a431a22c90fc577676e3f8ceb8b9b

diff --git a/dev-perl/Math-Pari/Math-Pari-2.10.806.50-r1.ebuild 
b/dev-perl/Math-Pari/Math-Pari-2.10.806.50-r1.ebuild
new file mode 100644
index 0000000..7d9cf2e
--- /dev/null
+++ b/dev-perl/Math-Pari/Math-Pari-2.10.806.50-r1.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+MODULE_AUTHOR=ILYAZ
+MODULE_SECTION=modules
+MODULE_VERSION=2.01080605
+inherit perl-module toolchain-funcs
+
+PARI_VER=2.3.5
+
+DESCRIPTION="Perl interface to PARI"
+SRC_URI="${SRC_URI}
+       http://pari.math.u-bordeaux.fr/pub/pari/unix/pari-${PARI_VER}.tar.gz";
+
+LICENSE="|| ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="alpha amd64 hppa ~mips ppc sparc x86 ~amd64-linux ~x86-linux 
~ppc-macos ~x86-macos ~x86-solaris"
+IUSE=""
+
+# Math::Pari requires that a copy of the pari source in a parallel
+# directory to where you build it. It does not need to compile it, but
+# it does need to be the same version as is installed, hence the hard
+# DEPEND below
+RDEPEND="~sci-mathematics/pari-${PARI_VER}"
+DEPEND="${RDEPEND}"
+
+S_PARI=${WORKDIR}/pari-${PARI_VER}
+SRC_TEST=do
+
+src_prepare() {
+       # On 64-bit hardware, these files are needed in both the 64/ and 32/
+       # directories for the testsuite to pass.
+       cd "${S_PARI}"/src/test/
+       for t in analyz compat ellglobalred elliptic galois graph intnum kernel 
\
+               linear nfields number objets ploth polyser program qfbsolve 
rfrac \
+               round4 stark sumiter trans ; do
+               i="in/${t}"
+               o32="32/${t}"
+               o64="64/${t}"
+               [ -f "$i" -a ! -f "$o32" ] && cp -al "$i" "$o32"
+               [ -f "$i" -a ! -f "$o64" ] && cp -al "$i" "$o64"
+       done
+       perl-module_src_prepare
+}
+
+src_configure() {
+       # Unfortunately the assembly routines math-pari has for SPARC do not 
appear
+       # to be working at current.  Perl cannot test math-pari or anything that
+       # pulls in the math-pari module as DynaLoader cannot load the resulting
+       # .so files math-pari generates.  As such, we have to use the generic
+       # non-machine specific assembly methods here.
+       use sparc && myconf="${myconf} machine=none"
+
+       perl-module_src_configure
+}
+
+src_compile() {
+       emake AR="$(tc-getAR)" OTHERLDFLAGS="${LDFLAGS}"
+}

diff --git a/dev-perl/Math-Pari/Math-Pari-2.10.808.ebuild 
b/dev-perl/Math-Pari/Math-Pari-2.10.808.ebuild
new file mode 100644
index 0000000..edb17f6
--- /dev/null
+++ b/dev-perl/Math-Pari/Math-Pari-2.10.808.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+MODULE_AUTHOR=ILYAZ
+MODULE_SECTION=modules
+MODULE_VERSION=2.010808
+MODULE_A_EXT=zip
+inherit perl-module toolchain-funcs
+
+PARI_VER=2.3.5
+
+DESCRIPTION="Perl interface to PARI"
+SRC_URI="${SRC_URI}
+       http://pari.math.u-bordeaux.fr/pub/pari/unix/pari-${PARI_VER}.tar.gz";
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~mips ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux 
~ppc-macos ~x86-macos ~x86-solaris"
+IUSE=""
+
+# Math::Pari requires that a copy of the pari source in a parallel
+# directory to where you build it. It does not need to compile it, but
+# it does need to be the same version as is installed, hence the hard
+# DEPEND below
+RDEPEND="~sci-mathematics/pari-${PARI_VER}"
+DEPEND="${RDEPEND}
+       app-arch/unzip
+"
+
+S_PARI=${WORKDIR}/pari-${PARI_VER}
+SRC_TEST=do
+
+src_prepare() {
+       # On 64-bit hardware, these files are needed in both the 64/ and 32/
+       # directories for the testsuite to pass.
+       cd "${S_PARI}"/src/test/
+       for t in analyz compat ellglobalred elliptic galois graph intnum kernel 
\
+               linear nfields number objets ploth polyser program qfbsolve 
rfrac \
+               round4 stark sumiter trans ; do
+               i="in/${t}"
+               o32="32/${t}"
+               o64="64/${t}"
+               [ -f "$i" -a ! -f "$o32" ] && cp -al "$i" "$o32"
+               [ -f "$i" -a ! -f "$o64" ] && cp -al "$i" "$o64"
+       done
+       perl-module_src_prepare
+}
+
+src_configure() {
+       # Unfortunately the assembly routines math-pari has for SPARC do not 
appear
+       # to be working at current.  Perl cannot test math-pari or anything that
+       # pulls in the math-pari module as DynaLoader cannot load the resulting
+       # .so files math-pari generates.  As such, we have to use the generic
+       # non-machine specific assembly methods here.
+       use sparc && myconf="${myconf} machine=none"
+
+       perl-module_src_configure
+}
+
+src_compile() {
+       emake AR="$(tc-getAR)" OTHERLDFLAGS="${LDFLAGS}"
+}

diff --git a/dev-perl/Math-Pari/metadata.xml b/dev-perl/Math-Pari/metadata.xml
new file mode 100644
index 0000000..afdf727
--- /dev/null
+++ b/dev-perl/Math-Pari/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="project">
+    <email>p...@gentoo.org</email>
+    <name>Gentoo Perl Project</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="cpan">Math-Pari</remote-id>
+    <remote-id type="cpan-module">Math::Pari</remote-id>
+    <remote-id type="cpan-module">Math::Pari::Arr</remote-id>
+    <remote-id type="cpan-module">Math::PariBuild</remote-id>
+  </upstream>
+</pkgmetadata>

Reply via email to